Package org.eclipse.emf.spi.cdo

# Class FSMUtil

java.lang.Object
org.eclipse.emf.spi.cdo.FSMUtil

public final class FSMUtil extends Object
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.0
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`static InternalCDOObject`
`adapt(Object object, CDOView view)`
`static InternalCDOObject`
`adaptLegacy(InternalEObject object)`
`static Adapter`
`getLegacyAdapter(EList<Adapter> adapters)`
`static Adapter`
`getLegacyAdapter(EObject object)`
`static boolean`
`isClean(CDOObject object)`
`static boolean`
`isConflict(CDOObject object)`
`static boolean`
`isInvalid(CDOObject object)`
`static boolean`
`isNative(EObject eObject)`
`static boolean`
`isNew(CDOObject object)`
`static boolean`
`isTransient(CDOObject object)`
`static Iterator<InternalCDOObject>`
`iterator(Collection<?> instances, InternalCDOView view)`
`static Iterator<InternalCDOObject>`
`iterator(Iterator<?> delegate, InternalCDOView view)`
`static String`
`toString(Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isTransient

public static boolean isTransient(CDOObject object)

### isInvalid

public static boolean isInvalid(CDOObject object)

### isConflict

public static boolean isConflict(CDOObject object)

### isNew

public static boolean isNew(CDOObject object)

### isClean

public static boolean isClean(CDOObject object)

Since:
  4.1

### isNative

public static boolean isNative(EObject eObject)

### adapt

public static InternalCDOObject adapt(Object object, CDOView view)

### adaptLegacy

public static InternalCDOObject adaptLegacy(InternalEObject object)

### getLegacyAdapter

public static Adapter getLegacyAdapter(EObject object)

Since:
  4.4

### getLegacyAdapter

public static Adapter getLegacyAdapter(EList<Adapter> adapters)

Since:
  4.4

### iterator

public static Iterator<InternalCDOObject> iterator(Iterator<?> delegate, InternalCDOView view)

### iterator

public static Iterator<InternalCDOObject> iterator(Collection<?> instances, InternalCDOView view)

### toString

public static String toString(Object object)

Since:
  4.3